VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::TypeTypes::Info Class Reference

The `Type.Info` class describes support for a specific type of data in an library.ItemModel . More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetDescription ()
| A description of the type support offered by the plugin.
void | SetDescription (string description)
| A description of the type support offered by the plugin.
string | GetName ()
| The name of the plugin which provides the type support.
void | SetName (string name)
| The name of the plugin which provides the type support.
string | Get_Type ()
| The type which the plugin supports.
void | SetType (string type)
| The type which the plugin supports.
string | GetVendor ()
| The name of the vendor who created the type support plugin.
void | SetVendor (string vendor)
| The name of the vendor who created the type support plugin.
string | GetVersion ()
| The version number of the type support plugin.
void | SetVersion (string version)
| The version number of the type support plugin.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Type.Info` class describes support for a specific type of data in an library.ItemModel .

The `Type.Info` can be queried through the Type interface. Type support describes plugins in the Content Library which can provide metadata on library items and help manage the transfer process by adding dependent files when a current file is added.

## Constructor & Destructor Documentation

vmware::content::TypeTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::TypeTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::TypeTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::TypeTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::content::TypeTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::TypeTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::TypeTypes::Info::Equals | ( | object | obj | ) | `[inline]`

string vmware::content::TypeTypes::Info::Get_Type | ( |  | ) | `[inline]`

The type which the plugin supports.

To upload a library item of the type supported by the plugin, the library.ItemModel.type field of the item should be set to this value.

string vmware::content::TypeTypes::Info::GetDescription | ( |  | ) | `[inline]`

A description of the type support offered by the plugin.

override int vmware::content::TypeTypes::Info::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::TypeTypes::Info::GetName | ( |  | ) | `[inline]`

The name of the plugin which provides the type support.

string vmware::content::TypeTypes::Info::GetVendor | ( |  | ) | `[inline]`

The name of the vendor who created the type support plugin.

string vmware::content::TypeTypes::Info::GetVersion | ( |  | ) | `[inline]`

The version number of the type support plugin.

void vmware::content::TypeTypes::Info::SetDescription | ( | string | description | ) | `[inline]`

A description of the type support offered by the plugin.

void vmware::content::TypeTypes::Info::SetName | ( | string | name | ) | `[inline]`

The name of the plugin which provides the type support.

void vmware::content::TypeTypes::Info::SetType | ( | string | type | ) | `[inline]`

The type which the plugin supports.

To upload a library item of the type supported by the plugin, the library.ItemModel.type field of the item should be set to this value.

void vmware::content::TypeTypes::Info::SetVendor | ( | string | vendor | ) | `[inline]`

The name of the vendor who created the type support plugin.

void vmware::content::TypeTypes::Info::SetVersion | ( | string | version | ) | `[inline]`

The version number of the type support plugin.

override string vmware::content::TypeTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TypeTypes.cs